Subject: Re: PowerPC radeon KMS - is it possible?

From: Michel Dänzer <[email-masked]>
Date: Wed, 18 Apr 2012 10:02:13 +0200

On Mit, 2012-04-18 at 09:54 +0200, Andreas Schwab wrote: 
> Michel Dänzer <[email-masked]> writes:
> 
> > Probably not (AGP is flaky in general, but in particular with older
> > UniNorth bridges), but it might be interesting to see some kernel output
> > from booting without agpmode=-1. If you can't get it via ssh, maybe you
> > can via netconsole or so.
> 
> While logging into KDE:
> 
> radeon 0000:00:10.0: GPU lockup CP stall for more than 10064msec
> GPU lockup (waiting for 0x000003EE last fence id 0x000003ED)
> radeon: wait for empty RBBM fifo failed ! Bad things might happen.
> Failed to wait GUI idle while programming pipes. Bad things might happen.
> radeon 0000:00:10.0: (r300_asic_reset:414) RBBM_STATUS=0x8802C137
> radeon 0000:00:10.0: (r300_asic_reset:433) RBBM_STATUS=0x8802C137
> radeon 0000:00:10.0: (r300_asic_reset:445) RBBM_STATUS=0x8802C137
> radeon 0000:00:10.0: GPU reset succeed
> radeon 0000:00:10.0: GPU reset succeed
> radeon 0000:00:10.0: (r300_asic_reset:414) RBBM_STATUS=0x8802C137
> radeon 0000:00:10.0: (r300_asic_reset:433) RBBM_STATUS=0x8802C137
> radeon 0000:00:10.0: (r300_asic_reset:445) RBBM_STATUS=0x8802C137
> radeon 0000:00:10.0: GPU reset succeed
> radeon: wait for empty RBBM fifo failed ! Bad things might happen.
> Failed to wait GUI idle while programming pipes. Bad things might happen.

That's even with agpmode=1?

Note that I'm interested in seeing the full dmesg or at least all
agp/drm/radeon related messages.

> After that is is dead.

The whole machine? That's probably due to something going wrong (e.g. an
MCE) while trying to reset the GPU. I fixed one such problem recently,
but it's still not as reliable as on x86 unfortunately.

> GPU lockup appears to be a common problem with the radeon driver.

It's what happens when anything goes wrong with the GPU. If it doesn't
happen with agpmode=-1, it's probably an AGP related coherency issue.

-- 
Earthling Michel Dänzer           |                   http://www.amd.com
Libre software enthusiast         |          Debian, X and DRI developer